Jobs
====

Jobs models documentation

.. autoclass:: waves.wcore.models.jobs.Job
    :members:
    :undoc-members:
    :show-inheritance:

.. _job_input_label:

Job Inputs
----------
Job Inputs related to inputs defined in service configuration, see :ref:`service-inputs-label`.

.. autoclass:: waves.wcore.models.jobs.JobInput
    :members:
    :undoc-members:

.. _job_output_label:

Job Outputs
-----------
Job outputs related to outputs defined in service configuration

.. autoclass:: waves.wcore.models.jobs.JobOutput
    :members:
    :undoc-members:

